addpath('utils')

mkdir ./exp_outputs/p_vs_F/

datasets = {
    'ppi';
    'blogcat';
    'flickr';
    'rcv1v2';
    'eurlex';
    'wiki31k';
}

methods = {
    % 'binary';
    % 'SCut';
    'SCutFBR';
    'smooth-all';
    % 'smooth-group';
    'SCutFBRn';
    % 'micromacro'
}

options = '-q -B 1'


for i = 1:numel(datasets)
    for j = 1:numel(methods)
        p_vs_f(datasets{i}, methods{j}, options);
    end
end
