#!/bin/bash

wget -O liblinear-2.47.tar.gz https://github.com/cjlin1/liblinear/archive/refs/tags/v247.tar.gz
tar -zxf liblinear-2.47.tar.gz
rm liblinear-2.47.tar.gz

dir=liblinear-247

wget -O $dir/matlab/libsvmread_ml.c https://www.csie.ntu.edu.tw/~cjlin/libsvmtools/multilabel/read_sparse/libsvmread_ml.c
wget -O $dir/matlab/libsvmwrite_ml.c https://www.csie.ntu.edu.tw/~cjlin/libsvmtools/multilabel/read_sparse/libsvmwrite_ml.c
wget -O $dir/matlab/multilabel_make.m https://www.csie.ntu.edu.tw/~cjlin/libsvmtools/multilabel/read_sparse/multilabel_make.m

cd $dir/matlab/
matlab -r 'make; multilabel_make; quit'
cd ../..
cp -v $dir/matlab/*.mexa64 utils/

echo "Done"